<?php

/*
|--------------------------------------------------------------------------
| Model Factories
|--------------------------------------------------------------------------
|
| Here you may define all of your model factories. Model factories give
| you a convenient way to create models for testing and seeding your
| database. Just tell the factory how a default model should look.
|
 */

$factory->define(Myriad\Authentication\Models\User::class, function (Faker\Generator $faker) {
  return [
    'first_name' => $faker->firstName,
    'last_name' => $faker->lastName,
    'password' => $faker->password,
    'last_login' => $faker->date(),
    'remember_token' => str_random(10),
  ];
});

$factory->define(Myriad\Installations\Models\Installation::class, function(Faker\Generator $faker) {
  return [
    'uuid' => $faker->uuid,
    'app_name' => '1.23-' . $faker->randomElement(['ios', 'android', 'web']),
    'app_version' => '1.23'
  ];
});

$factory->define(Myriad\Authentication\Models\Token::class, function(Faker\Generator $faker) {
  return [
    'token' => $faker->uuid,
    'type' => $faker->randomElement(['auth', 'password_reset', 'claim']),
    'expires_at' => Carbon\Carbon::now()->addSeconds($faker->numberBetween(-60, 3600))
  ];
});

$factory->define(Myriad\Authentication\Models\UserPhone::class, function(Faker\Generator $faker) {
  return [
    'phone' => $faker->phoneNumber,
    'type' => $faker->randomElement([
      Myriad\Authentication\Models\UserPhone::TYPE_WORK,
      Myriad\Authentication\Models\UserPhone::TYPE_CELL,
      Myriad\Authentication\Models\UserPhone::TYPE_HOME,
    ]),
    'primary' => $faker->boolean(),
    'verified' => $faker->boolean(),
  ];
});

$factory->define(Myriad\Authentication\Models\UserEmail::class, function(Faker\Generator $faker) {
  return [
    'email' => $faker->email,
    'type' => $faker->randomElement([
      Myriad\Authentication\Models\UserEmail::TYPE_WORK,
      Myriad\Authentication\Models\UserEmail::TYPE_HOME,
    ]),
    'primary' => $faker->boolean(),
    'verified' => $faker->boolean(),
  ];
});
