<?php

use Illuminate\Database\Capsule\Manager as Capsule;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUsersTable extends Migration {

  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up()
  {
    Capsule::schema()->create($this->getTableName(), function(Blueprint $table)
    {
      $table->increments('id');
      $table->string('first_name', 255)->nullable();
      $table->string('last_name', 255)->nullable();
      $table->string('password')->nullable();
      $table->dateTime('last_login')->nullable();
      $table->rememberToken();
      $table->softDeletes();
      $table->timestamps();
    });
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down()
  {
    Capsule::schema()->dropIfExists($this->getTableName());
  }
  
  /**
   * Get the table name from the config file
   *
   * @return string the table name
   */
  private function getTableName() {
    return config('authentication.table_names.users', 'users');
  }

}
