<?php

trait RunsMigrations {
  public static function runMigrations() {
    $migrations = [
      new CreateInstallationsTable(),
      new CreateUsersTable(),
      new CreateUserPhonesTable(),
      new CreateUserEmailsTable(),
      new CreateVerificationCodesTable(),
      new CreateAccessTokensTable()
    ];

    array_map(function($m) { 
      try {
        $m->down(); 
      } catch (\Exception $e) {
        var_dump($e->getMessage());
      }
    }, array_reverse($migrations));

    array_map(function($m) { 
      try {
        $m->up(); 
      } catch (\Exception $e) {
        var_dump($e->getMessage());
      }
    }, $migrations);

  }
}
