<?php

namespace spec\Myriad\Authentication\Lib\Strategies;

use PhpSpec\ObjectBehavior;
use Prophecy\Argument;
use Myriad\Authentication\Lib\Services\ITextMessageSender;
use Illuminate\Contracts\Config\Repository as Config;
use Illuminate\Contracts\View\Factory as ViewFactory;

class PhoneNumberVerificationSpec extends ObjectBehavior
{
  function let(
    Config $config,
    ITextMessageSender $textMessageSender,
    ViewFactory $viewFactory
  ) {
    $this->beConstructedWith($config, $textMessageSender, $viewFactory);
  }
  function it_is_initializable()
  {
    $this->shouldHaveType('Myriad\Authentication\Lib\Strategies\PhoneNumberVerification');
  }

  function it_should_implement_verification_strategy_interface()
  {
    $this->shouldImplement(\Myriad\Authentication\Lib\Strategies\IVerificationStrategy::class);
  }

  function it_implements_phone_number_confirmer_interface()
  {
    $this->shouldImplement('Myriad\Authentication\Lib\Services\IPhoneNumberConfirmer');
  }
}
