<?php

namespace Myriad\Authentication;

use Illuminate\Contracts\Events\Dispatcher as DispatcherContract;
use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;

class EventServiceProvider extends ServiceProvider {

  protected $listen;

  /**
   * Setup the Event Service Provider
   *
   * @param \Illuminate\Contracts\Foundation\Application $app
   * @return void
   */
  public function __construct($app) {
    $this->listen = [
      'Myriad\Authentication\Lib\Events\UserRegisteredWithEmail' => config('authentication.event_listeners.user_registered_with_email')
    ];

    parent::__construct($app);

  }

}
