<?php

namespace Myriad\Authentication\Http\Controllers;

use Illuminate\Routing\Controller;
use Illuminate\Contracts\Bus\Dispatcher;
use Myriad\Authentication\Lib\Jobs\RegisterUser;
use Myriad\Authentication\Http\Requests\UserRegistrationRequest;
use Myriad\Authentication\Lib\Jobs\SendRegistrationEmailVerification;
use Myriad\Authentication\Lib\Jobs\SendRegistrationPhoneVerification;

class RegistrationController extends Controller {

  /**
   * Register a User
   *
   * @param UserRegistrationRequest $request
   * @param Dispatcher $dispatcher
   */
  public function register(
    UserRegistrationRequest $request,
    Dispatcher $dispatcher
  ) {
    if ($request->has('email')) {
      $dispatcher->dispatch(new SendRegistrationEmailVerification(
        $request->first_name,
        $request->last_name,
        $request->email,
        $request->type,
        $request->password
      ));
    } else {
      $dispatcher->dispatch(new SendRegistrationPhoneVerification(
        $request->first_name,
        $request->last_name,
        $request->phone,
        $request->phone,
        $request->type,
        $request->password
      ));
    }
  }
}
