<?php

namespace Myriad\Authentication\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class SendVerificationCodeRequest extends FormRequest
{
  /**
   * Determine if the user is authorized to make this request.
   *
   * @return bool
   */
  public function authorize()
  {
    // anybody can request to verify an email or phone number
    return true;
  }

  /**
   * Get the validation rules that apply to the request.
   *
   * @return array
   */
  public function rules()
  {
    return self::getRules();
  }

  /**
   * Get the validation rules that apply to a request of this type
   *
   */
  public static function getRules() {
    return [
      'email' => 'email|required_without:phone',
      'phone' => 'string|required_without:email'
    ];
  }
}
