<?php

namespace Myriad\Authentication\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Model;

class UserEmail extends Model
{
  use SoftDeletes;

  const TYPE_WORK = 'work';
  const TYPE_HOME = 'home';

  /**
   * The attributes that are mass assignable.
   *
   * @var array
   */
  protected $fillable = [
    'email', 'type', 'primary', 'verified'
  ];

  /**
   * Get the user for this email address
   *
   * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
   */
  public function user()
  {
    return $this->belongsTo(User::class);
  }
  
}


