<?php

class TestCase extends \Orchestra\Testbench\TestCase {

  public function setUp() {
    parent::setUp();

    $this->artisan('migrate:reset');

    $this->artisan('migrate', [
      '--database' => 'testing',
      '--realpath' => realpath(__DIR__.'/../vendor/myriad/laravel-installations/database/migrations')
    ]);

    $this->artisan('migrate', [
      '--database' => 'testing',
      '--realpath' => realpath(__DIR__.'/../database/migrations')
    ]);

    $this->withFactories(realpath( __DIR__.'/../database/factories' ));
  }

  protected function getEnvironmentSetUp($app)
  {
    // Setup default database to use sqlite :memory:
    $app['config']->set('database.default', 'testing');
    $app['config']->set('database.connections.testing', [
      'driver'   => 'sqlite',
      'database' => ':memory:',
      'prefix'   => '',
    ]);

    require __DIR__.'/../src/routes.php';

  }

  protected function getPackageProviders($app)
  {
    return [
      \Myriad\Validators\ValidatorServiceProvider::class,
      \Myriad\Installations\InstallationsServiceProvider::class,
      \Myriad\Authentication\AuthenticationServiceProvider::class,
    ];
  }

}
